<template>
  <div class="specialTool">
    <div class="legend" v-for="(item, index) in list" :key="index">
      <img
        class="img"
        :src="item.icon"
        alt=""
        :style="`width:${item.width}px;height:${item.height}px;`"
      />
      <span>{{ item.name }}</span>
    </div>
  </div>
</template>

<style scoped>
.specialTool {
  position: absolute;
  bottom: 45px;
  width: 680px;
  padding: 5px;
  border: 2px solid #016ce2;
  border-radius: 3px;
  background-color: #0952c860;
  color: #fff;
  font-size: 15px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 99999;
  pointer-events: all;
  display: flex;
  justify-content: space-between;
}
.legend {
  width: 150px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
img {
  width: 40px;
}
</style>

<script>
export default {
  name: "bottom-menu",
  data() {
    return {
      list: [
        {
          name: "经开区政务服务中心",
          icon: require("../../../static/SmartEarthSDK/Workers/image/经开区政务服务中心.png"),
        },
        {
          name: "街道政务服务中心",
          icon: require("../../../static/SmartEarthSDK/Workers/image/街道.png"),
        },
        {
          name: "亦企服务港",
          icon: require("../../../static/SmartEarthSDK/Workers/image/亦企服务港.png"),
        },
        {
          name: "园区服务站",
          icon: require("../../../static/SmartEarthSDK/Workers/image/园区服务站.png"),
        },
        {
          name: "社区服务站",
          icon: require("../../../static/SmartEarthSDK/Workers/image/社区服务站.png"),
        },
      ],
    };
  },
};
</script>
